#include <stdio.h>
#include <math.h>

#define REF  1.2
#define MAX_NIGHT  100
#define DEGTORAD    0.0174532925

char *progname = "printit";

main(argc, argv)
int argc;
char *argv[];
{
	int i, j, k, num_night, sum, num, deg, min;
	double xx, yy, ra, dec, xra, xdec, mag, sec;
	char line[101], ra_str[100], dec_str[100], foostr[100];
	FILE *fp;

	if (argc != 3) {
		fprintf(stderr, "printit RA Dec (in 2000.0)\n");
		exit(-1);
	}
	if (sscanf(argv[1], "%d:%d:%lf", &deg, &min, &sec) != 3) {
		fprintf(stderr, "bad Ra \n");
		exit(1);
	}
	ratodeg(deg, min, sec, &ra);
	if (sscanf(argv[2], "%d:%d:%lf", &deg, &min, &sec) != 3) {
		fprintf(stderr, "bad Dec \n");
		exit(1);
	}
	hmstohhh(deg, min, sec, &dec);

	while (gets(line) != NULL) {
		if (sscanf(line, "%s %s %s %lf", ra_str, dec_str, foostr, &mag) != 4) {
			fprintf(stderr, "bad line ..%s..\n", line);
			exit(-1);
		}	
		if (sscanf(ra_str, "%d:%d:%lf", &deg, &min, &sec) != 3) {
			fprintf(stderr, "bad Ra str ..%s..\n", line);
			exit(1);
		}
		ratodeg(deg, min, sec, &xra);
		if (sscanf(dec_str, "%d:%d:%lf", &deg, &min, &sec) != 3) {
			fprintf(stderr, "bad Dec str ..%s..\n", line);
			exit(1);
		}
		hmstohhh(deg, min, sec, &xdec);

		xx = (xra - ra)*cos(xdec*DEGTORAD)*3600.0;
		yy = (xdec - dec)*3600.0;

		printf("%8.2lf %8.2lf  %8.2lf\n", xx, yy, mag);
	}
}

