#include <stdio.h>
#include <math.h>
#include "listgen.h"

	/* assign a unique ID number to each target, based on its position in
	   the current list (should be called after some kind of sorting */

target_ids(num_list)
int num_list;
{
	int i;

	for (i = 0; i < num_list; i++) {
		list[i].target_id = i;
	}
}

	/* if 'verbose' is TACITURN, then print out a single line about the target;
	   otherwise, print out everything in the target structure, which
	   takes many lines. */

print_target(tar, verbose)
struct target *tar;
int verbose;
{
	if (verbose == TACITURN) {
		printf("ID=%3d RA=%8.4lf Dec=%8.4lf lst=%8.4lf exp=%6.2lf %15s\n",
			tar->target_id, tar->ra, tar->dec, tar->start_lst, tar->exp_time, 
			tar->obj_name);
		return(0);
	}
	
	printf("target ID=%5d object name: %-50s\n", tar->target_id, tar->obj_name);
	printf("  RA=%10.6lf   Dec=%10.6lf  epoch=%6.1lf \n", tar->ra, 
			tar->dec, tar->epoch);
	printf("  exp_type=%10o  filters=%10o guidestar=%20ld \n", tar->exp_type,
			tar->filters, tar->guide_star);
	printf("  exp_time=%8.2lf  mag=%5.2lf  delay_time=%7.2lf \n", 
			tar->exp_time, tar->mag, tar->delay_time);
	printf("  priority=%5d  start-JD=%10ld  end-JD=%10ld  start-UT=%10.6lf\n",
			tar->priority, tar->start_jd, tar->end_jd, tar->start_ut);
	printf("  interval=%3d  last-JD=%10ld  start_lst=%10.6lf end_lst=%10.6lf\n",
			tar->interval, tar->last_jd, tar->start_lst, tar->end_lst);
	printf("  observer=%30s  address=%30s  reply: ", tar->pers_name,
			tar->mail_address);
	if (tar->send_reply == 0)
		printf("no\n");
	else
		printf("yes\n");
}

